[Apache] Apache 2.0.63と2.2.8のWin32版(SSL付き) OpenSSL 9.8h

2008年5月29日 by
カテゴリ: Software, 開発のこと 

 昨日WWWCがOpenSSLに更新があったことを拾ってきたので、久しぶりにコンパイルすっかと思ったらApacheのバージョンが上がってたw

 しばらく前にVistaをx64からx86に入れ直してから開発環境が入ったVirtual PC 2007をインストールすらしてなかった事実!!

 ということで、[Apache] ApacheをVC6でコンパイルしてみる 以来のApacheネタ?コンパイル手順などは過去の通りであまり代わり映えしませんが、rand.cでエラーが出なかったりLDAPでもエラーが出なかったのでそこら辺書き換わってるのかしら?

 

 例によってInstallShieldないので

apache 2.0.63は、

C:\Apache2

apache 2.2.8は、

C:\Apache22

で使うことを前提にhttpd.confとかができてますので、別ディレクトリで使う場合はそこらへん適宜書き換えてくださいまし。

Apache再配布等はApache License 2.0に準拠でお好きなように。

 ということになっとります。

いままで使っていたディレクトリに上書きしてしまうとhttpd.confが書き換えられてしまうのでバックアップを取っておいてください。

 肝心のファイルはこちら

apache_2.0.63-win32-x86-openssl-0.9.8h.8796vc6.7z

apache_2.2.8-win32-x86-openssl-0.9.8h.8796vc6.7z

 よそ様でもうまく動いてくれればよいのですが…

コメント

Comments are closed.